<?php

use App\Support\Traits\InitMenusAndPermission;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class RhSalesOrderRefundMenuSeeder extends Seeder
{
    use InitMenusAndPermission;

    public function run()
    {
        //$this->command->getOutput()->info('正在初始化菜单数据中.');
        try {
            DB::beginTransaction();

            // 初始化菜单及权限
            $menus = [
                [
                    'menu_name' => 'rhawn_sorder_refund',
                    'title' => '罗恩销售订单退货',
                    'menu_path' => '/tools/rhawn-sorder-refund',
                    'parent_id' => 'tools',
                    'menu_type' => 'page',
                    'menu_icon' => 'ios-laptop',
                    'component' => 'tools/rhawn/sorders-refund',
                    'status' => 1,
                    'is_show' => 1,
                    'sys_default' => 1,
                    'sort' => 1.0,
                    'created_by' => 0,
                    'created_at' => '',
                    'updated_at' => '',
                    'action' => '',
                ],[
                    'menu_name' => 'rhawn_sorder_refund_add',
                    'title' => '添加任务',
                    'menu_path' => '#',
                    'parent_id' => 'rhawn_sorder_refund',
                    'menu_type' => 'button',
                    'menu_icon' => '#',
                    'component' => '#',
                    'status' => 1,
                    'is_show' => 1,
                    'sys_default' => 1,
                    'sort' => 1.0,
                    'created_by' => 0,
                    'created_at' => '',
                    'updated_at' => '',
                    'action' => 'add',
                ],[
                    'menu_name' => 'rhawn_sorder_refund_edit',
                    'title' => '编辑任务',
                    'menu_path' => '#',
                    'parent_id' => 'rhawn_sorder_refund',
                    'menu_type' => 'button',
                    'menu_icon' => '#',
                    'component' => '#',
                    'status' => 1,
                    'is_show' => 1,
                    'sys_default' => 1,
                    'sort' => 1.0,
                    'created_by' => 0,
                    'created_at' => '',
                    'updated_at' => '',
                    'action' => 'edit',
                ],[
                    'menu_name' => 'rhawn_sorder_refund_delete',
                    'title' => '删除任务',
                    'menu_path' => '#',
                    'parent_id' => 'rhawn_sorder_refund',
                    'menu_type' => 'button',
                    'menu_icon' => '#',
                    'component' => '#',
                    'status' => 1,
                    'is_show' => 1,
                    'sys_default' => 1,
                    'sort' => 1.0,
                    'created_by' => 0,
                    'created_at' => '',
                    'updated_at' => '',
                    'action' => 'delete',
                ],[
                    'menu_name' => 'rhawn_sorder_refund_execute',
                    'title' => '执行任务',
                    'menu_path' => '#',
                    'parent_id' => 'rhawn_sorder_refund',
                    'menu_type' => 'button',
                    'menu_icon' => '#',
                    'component' => '#',
                    'status' => 1,
                    'is_show' => 1,
                    'sys_default' => 1,
                    'sort' => 1.0,
                    'created_by' => 0,
                    'created_at' => '',
                    'updated_at' => '',
                    'action' => 'other',
                ],
            ];

            $this->initMenu($menus);

            DB::commit();

            $this->command->getOutput()->info('菜单数据初始化成功.');

        }catch(Exception $e){
            $this->command->getOutput()->error('初始化菜单失败，原因：'.$e->getMessage());
            DB::rollback();
        }
    }
}
